<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Vex Style</title>
<style type="text/css">@import url("file:/opt/eclipse/plugins/org.eclipse.epp.package.standard_4.4.2.20150219-0708/book.css");</style>
<style type="text/css">@import url("file:/home/tv/.eclipse/org.eclipse.platform_4.4.2_1473617060_linux_gtk_x86_64/configuration/org.eclipse.osgi/207/0/.cp/schema.css");</style>
</HEAD>
<BODY>
<H1 style="text-align:center">Vex Style</H1>
<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Identifier: </h6>vex-editor.style<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Since: </h6>[Enter the first release in which this extension point appears.]
<p></p>

<h6 class="CaptionFigColumn SchemaHeader">Description: </h6>Registers a new document type with Vex.<p></p>
<h6 class="CaptionFigColumn SchemaHeader">Configuration Markup:</h6>
<p></p>
<p class="code SchemaDtd">&lt;!ELEMENT <a name="e.extension">extension</a> (<a href="#e.style">style</a>)&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST extension</p>
<p class="code SchemaDtdAttlist">point&nbsp;CDATA #REQUIRED</p>
<p class="code SchemaDtdAttlist">id&nbsp;&nbsp;&nbsp;&nbsp;CDATA #IMPLIED</p>
<p class="code SchemaDtdAttlist">name&nbsp;&nbsp;CDATA #IMPLIED&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
</ul>
<br><p class="code SchemaDtd">&lt;!ELEMENT <a name="e.style">style</a> (<a href="#e.doctypeRef">doctypeRef</a>+)&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST style</p>
<p class="code SchemaDtdAttlist">css&nbsp;CDATA #IMPLIED&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
<li><b>css</b> - </li>
</ul>
<br><p class="code SchemaDtd">&lt;!ELEMENT <a name="e.doctypeRef">doctypeRef</a> EMPTY&gt;</p>
<p class="code SchemaDtd">&lt;!ATTLIST doctypeRef</p>
<p class="code SchemaDtdAttlist">publicId&nbsp;CDATA #IMPLIED&gt;</p>
<p></p>
<ul class="ConfigMarkupAttlistDesc">
<li><b>publicId</b> - </li>
</ul>
<br><h6 class="CaptionFigColumn SchemaHeader">Examples: </h6>[Enter extension point usage example here.]
<p></p>

<h6 class="CaptionFigColumn SchemaHeader">API Information: </h6>[Enter API information here.]
<p></p>

<h6 class="CaptionFigColumn SchemaHeader">Supplied Implementation: </h6>[Enter information about supplied implementation of this extension point.]
<p></p>

<br>
<p class="note SchemaCopyright">
</p>
</BODY>
</HTML>
